﻿import cmdlib
import es

addon = es.import_addon("soccer_mod_2011/cfg")

# ******************** Load ********************
def load():
	es.set("sm_sprint_speed", 1.25)
	es.set("sm_sprint_length", 3)
	es.set("sm_sprint_reset", 10)

	cmdlib.registerServerCommand("soccer_mod_sprint_speed", speed, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_sprint_length", length, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_sprint_reset", reset, "Server Command")

	addon.reg("sm_sprint_command", "!sprint", "soccer_mod_2011/modules/sprint/cmd_sprint")

	cmdlib.registerServerCommand("soccer_mod_sprint_command", command, "Server Command")

# ******************** Commands ********************
def speed(args):
	addon.float("sm_sprint_speed", args[0], 1, 10, 1.25)

def length(args):
	addon.integer("sm_sprint_length", args[0], 1, 10, 3)

def reset(args):
	addon.integer("sm_sprint_reset", args[0], 1, 60, 10)

def command(args):
	addon.unreg("sm_sprint_command")
	addon.reg("sm_sprint_command", args[0], "soccer_mod_2011/modules/sprint/cmd_sprint")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_sprint_speed")
	cmdlib.unregisterServerCommand("soccer_mod_sprint_length")
	cmdlib.unregisterServerCommand("soccer_mod_sprint_reset")

	cmdlib.unregisterServerCommand("soccer_mod_sprint_command")

	addon.unreg("sm_sprint_command")