﻿import es
import gamethread
import playerlib

# ******************** Load ********************
def load():
	global round_ended
	round_ended = 0

# ******************** Events ********************
def player_death(event_var):
	if es.ServerVar("soccer_mod_allowed") == 1:
		global round_ended
		if round_ended == 0:
			gamethread.delayedname(es.ServerVar("sm_respawn_delay"), "sm_respawn_%s" % (event_var["userid"]), respawn, (event_var["userid"]))

def player_team(event_var):
	if es.ServerVar("soccer_mod_allowed") == 1:
		global round_ended
		if round_ended == 0:
			gamethread.delayedname(es.ServerVar("sm_respawn_delay"), "sm_respawn_%s" % (event_var["userid"]), respawn, (event_var["userid"]))

def player_disconnect(event_var):
	if es.ServerVar("soccer_mod_allowed") == 1:
		gamethread.cancelDelayed("sm_respawn_%s" % (event_var["userid"]))

def round_start(event_var):
	if es.ServerVar("soccer_mod_allowed") == 1:
		global round_ended
		round_ended = 0

def round_end(event_var):
	if es.ServerVar("soccer_mod_allowed") == 1:
		global round_ended
		round_ended = 1

		for player in playerlib.getPlayerList("#all"):
			gamethread.cancelDelayed("sm_respawn_%s" % (player))

# ******************** Functions ********************
def respawn(userid):
	if es.exists("userid", userid) == 1:
		player = playerlib.getPlayer(userid)
		if player.isdead == 1 and player.team > 1:
			es.setplayerprop(userid, "CCSPlayer.m_iPlayerState", 0)
			es.setplayerprop(userid, "CCSPlayer.baseclass.m_lifeState", 512)
			es.server.queuecmd("es_xspawnplayer %s" % userid)